import { Meta2d } from "../core";
import { Meta2dStore } from '../store';
interface DialogStyle {
    x: number;
    y: number;
    width: number;
    height: number;
    background?: string;
    maskBackground?: string;
    hideClose?: boolean;
    closeTop?: number;
    closeRight?: number;
}
export declare class Dialog {
    parentElement: HTMLElement;
    box: HTMLElement;
    iframe: HTMLIFrameElement;
    dialog: HTMLElement;
    close: HTMLElement;
    title: HTMLElement;
    body: HTMLElement;
    x: number;
    y: number;
    url: string;
    meta2dDiv: HTMLElement;
    dialogMeta2d: Meta2d;
    store: Meta2dStore;
    data: any;
    constructor(parentElement: HTMLElement, store: Meta2dStore);
    show(title?: string, url?: string, rect?: DialogStyle, data?: any): Promise<void>;
    detailRect(rect?: any): {
        x: string;
        y: string;
        width: string;
        height: string;
    };
    hide(): void;
    isUrl(url: string): boolean;
    destroy(): void;
}
export {};
